Package com.github.lgooddatepicker.components

## Class CalendarPanelBeanInfo

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - com.github.lgooddatepicker.components.CalendarPanelBeanInfo

All Implemented Interfaces:
  `java.beans.BeanInfo`

    public class CalendarPanelBeanInfo
    extends java.beans.SimpleBeanInfo

CalendarPanelBeanInfo, This class returns JavaBean information for the matching bean class. The class methods will return default BeanInfo Introspector information for properties, methods, and events, plus any customizations that are applied on top of the default Introspector data set.

### Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

### Constructor Summary

Constructors
`CalendarPanelBeanInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.beans.BeanDescriptor` `getBeanDescriptor()` getBeanDescriptor, Returns the BeanInfo BeanDescriptor, or null to use automatic introspection.
`int` `getDefaultEventIndex()` getDefaultEventIndex, Returns the BeanInfo defaultEventIndex, or -1 if there is no default property.
`int` `getDefaultPropertyIndex()` getDefaultPropertyIndex, Returns the BeanInfo defaultPropertyIndex, or -1 if there is no default property.
`java.beans.EventSetDescriptor[]` `getEventSetDescriptors()` getEventSetDescriptors, Returns the BeanInfo EventSetDescriptor array, or null to use automatic introspection.
`java.awt.Image` `getIcon​(int iconType)` getIcon, Returns the requested BeanInfo icon type, or null if an icon does not exist or cannot be retrieved.
`java.beans.MethodDescriptor[]` `getMethodDescriptors()` getMethodDescriptors, Returns the BeanInfo MethodDescriptor array, or null to use automatic introspection.
`java.beans.PropertyDescriptor[]` `getPropertyDescriptors()` getPropertyDescriptors, Returns the BeanInfo PropertyDescriptor array, or null to use automatic introspection.

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, loadImage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CalendarPanelBeanInfo

    public CalendarPanelBeanInfo()

### Method Detail

#### getIcon

    public java.awt.Image getIcon​(int iconType)

getIcon, Returns the requested BeanInfo icon type, or null if an icon does not exist or cannot be retrieved.

Specified by:
  `getIcon` in interface `java.beans.BeanInfo`
Overrides:
  `getIcon` in class `java.beans.SimpleBeanInfo`

#### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

getBeanDescriptor, Returns the BeanInfo BeanDescriptor, or null to use automatic introspection.

Specified by:
  `getBeanDescriptor` in interface `java.beans.BeanInfo`
Overrides:
  `getBeanDescriptor` in class `java.beans.SimpleBeanInfo`

#### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

getPropertyDescriptors, Returns the BeanInfo PropertyDescriptor array, or null to use automatic introspection. Each array element may be a PropertyDescriptor, or the IndexedPropertyDescriptor subclass of PropertyDescriptor.

Specified by:
  `getPropertyDescriptors` in interface `java.beans.BeanInfo`
Overrides:
  `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`

#### getEventSetDescriptors

    public java.beans.EventSetDescriptor[] getEventSetDescriptors()

getEventSetDescriptors, Returns the BeanInfo EventSetDescriptor array, or null to use automatic introspection.

Specified by:
  `getEventSetDescriptors` in interface `java.beans.BeanInfo`
Overrides:
  `getEventSetDescriptors` in class `java.beans.SimpleBeanInfo`

#### getMethodDescriptors

    public java.beans.MethodDescriptor[] getMethodDescriptors()

getMethodDescriptors, Returns the BeanInfo MethodDescriptor array, or null to use automatic introspection.

Specified by:
  `getMethodDescriptors` in interface `java.beans.BeanInfo`
Overrides:
  `getMethodDescriptors` in class `java.beans.SimpleBeanInfo`

#### getDefaultPropertyIndex

    public int getDefaultPropertyIndex()

getDefaultPropertyIndex, Returns the BeanInfo defaultPropertyIndex, or -1 if there is no default property.

Specified by:
  `getDefaultPropertyIndex` in interface `java.beans.BeanInfo`
Overrides:
  `getDefaultPropertyIndex` in class `java.beans.SimpleBeanInfo`

#### getDefaultEventIndex

    public int getDefaultEventIndex()

getDefaultEventIndex, Returns the BeanInfo defaultEventIndex, or -1 if there is no default property.

Specified by:
  `getDefaultEventIndex` in interface `java.beans.BeanInfo`
Overrides:
  `getDefaultEventIndex` in class `java.beans.SimpleBeanInfo`